var timeIntforlogout =null ;
function toggle(div_id) {
	var el = document.getElementById(div_id);
	var iframe = document.getElementById('askQuestionPage');
	clearInterval(timeIntforlogout);
	if ( el.style.display == 'none' ) {	
	    el.style.display = 'block';
        iframe.src = "../../local/askquestion/index.php";
        document.getElementsByTagName('iframe')[0].src=document.getElementsByTagName('iframe')[0].src;
        //Set timer for 5 min
       timeIntforlogout = setInterval (logoutUser,600000);
	}
	else {
	    el.style.display = 'none';
	    clearInterval(timeIntforlogout);
	    timeIntforlogout =null ;
        iframe.src = "";
	}
}
function logoutUser(){
    console.log('logout user');
    var iframe = document.getElementById('askQuestionPage');
    iframe.src = "timeout.php";
    document.getElementsByTagName('iframe')[0].src=document.getElementsByTagName('iframe')[0].src;
    reloadPage();
}  
function blanket_size(popUpDivVar) {
	if (typeof window.innerWidth != 'undefined') {
		viewportheight = window.innerHeight;
	} else {
		viewportheight = document.documentElement.clientHeight;
	}
	if ((viewportheight > document.body.parentNode.scrollHeight) && (viewportheight > document.body.parentNode.clientHeight)) {
		blanket_height = viewportheight;
	} else {
		if (document.body.parentNode.clientHeight > document.body.parentNode.scrollHeight) {
			blanket_height = document.body.parentNode.clientHeight;
		} else {
			blanket_height = document.body.parentNode.scrollHeight;
		}
	}
	var blanket = document.getElementById('blanket');
	blanket.style.height = blanket_height + 'px';
	var popUpDiv = document.getElementById(popUpDivVar);
	popUpDiv_height=blanket_height/2-150;//150 is half popup's height
	popUpDiv.style.top = popUpDiv_height + 'px';
}
function window_pos(popUpDivVar) {
	if (typeof window.innerWidth != 'undefined') {
		viewportwidth = window.innerHeight;
	} else {
		viewportwidth = document.documentElement.clientHeight;
	}
	if ((viewportwidth > document.body.parentNode.scrollWidth) && (viewportwidth > document.body.parentNode.clientWidth)) {
		window_width = viewportwidth;
	} else {
		if (document.body.parentNode.clientWidth > document.body.parentNode.scrollWidth) {
			window_width = document.body.parentNode.clientWidth;
		} else {
			window_width = document.body.parentNode.scrollWidth;
		}
	}
	var popUpDiv = document.getElementById(popUpDivVar);
	window_width=window_width/2-150;//150 is half popup's width
	popUpDiv.style.left = '20%';
	popUpDiv.style.top='50px';
}
function popup(windowname) {
	blanket_size(windowname);
	window_pos(windowname);
	toggle('blanket');
	toggle(windowname);		
}
function reloadPage(){
    //alert('reloadPage called for home page');
    top.location.href='http://www.nv-dui.com/';
};